這個外掛並未在最新的 3 個 WordPress 主要版本上進行測試。開發者可能不再對這個外掛進行維護或提供技術支援,並可能會與更新版本的 WordPress 產生使用上的相容性問題。

Custom Sidebars by ProteusThemes

外掛說明

Replace the theme default sidebars with your newly created sidebars.

This plugin was forked from the Custom Sidebars plugin, which we used for a few years, but their plugin development stalled, so we were forced to create this plugin. We really appreciate the work of developers of the original plugin!

This plugin allows you to create your own custom sidebars, configure them by adding widgets, and replace the default sidebars on posts or pages you want in just few clicks.

Here is the tl;dr list of the differences from original source:

  • Compatibility with the latest stable PHP version (namely PHP 7.0+).
  • Removed the “archive pages” functionality – replacing the custom sidebars on archive pages is not possible (e.g. on certain categories).
  • Open-sourced development on GitHub. Issue reports and pull requests welcome!
  • Covered with PHP unit tests.
  • Fixed couple of JavaScript errors.
  • Removed WP admin pointer.
  • Modern workflow with Grunt and Bower.
  • Removed heavy advertising.

Contact and Credits

This plugin is being developed by ProtuesThemes.

The original plugin: Custom sidebars is maintained and developed by WPMU DEV. Original development completed by Javier Marquez.

安裝方式

There are two ways of installing the plugin:

From inside your WordPress installation, in the plugin section.

  1. Search for Custom Sidebars by ProteusThemes plugin.
  2. Download it and then active it.

From this page.

  1. Download the plugin, extract the zip file,
  2. Upload the custom-sidebars-by-proteusthemes folder to your /wp-content/plugins/ directory,
  3. Active the plugin in the plugin menu panel in your administration area.

The settings for custom sidebars are available in Appearance -> Widgets

常見問題集

This section will be added when questions arise.

使用者評論

這個外掛目前沒有任何使用者評論。

參與者及開發者

以下人員參與了開源軟體〈Custom Sidebars by ProteusThemes〉的開發相關工作。

參與者

變更記錄

1.0.2

  • Tested with WP 5.4.1

1.0.1

  • Fixed PHP warning on unsupported post types (attachment pages by default).

1.0.0

  • Initial plugin version.